%define pyver 26
%define pybasever 2.6

%define __python /usr/bin/python%{pybasever}
%define __os_install_post %{__python26_os_install_post}

%{!?python_sitelib: %global python_sitelib %(%{__python} -c "from distutils.sysconfig import get_python_lib; print get_python_lib()")}

Name:           Spawning26
Version:        0.9.3
Release:        0.rc2.5%{?dist}
Summary:        A HTTP server for hosting WSGI python web applications

Group:          Development/Languages
License:        MIT
URL:            http://pypi.python.org/pypi/Spawning
Source0:        http://pypi.python.org/packages/source/S/Spawning/Spawning-0.9.3rc2.tar.gz
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)

BuildArch:      noarch
BuildRequires:  python26-devel
BuildRequires:  python26-distribute
Requires:	python26-eventlet

%description
Spawning is a wsgi server which supports multiple processes, 
multiple threads, green threads, non-blocking HTTP io, 
and automatic graceful upgrading of code.

%prep
%setup -q -n Spawning-0.9.3rc2

%build
%{__python} setup.py build


%install
rm -rf $RPM_BUILD_ROOT
%{__python} setup.py install -O1 --skip-build --root $RPM_BUILD_ROOT

# Rename the spawn command to spawning. 
# See upstream ticket: 
# http://github.com/rtyler/Spawning/issues/issue/8
mv $RPM_BUILD_ROOT/%{_bindir}/spawn $RPM_BUILD_ROOT/%{_bindir}/spawning

#
# Remove python line from 2 files that are not executable
#
sed -i -e 1d $RPM_BUILD_ROOT/%{python_sitelib}/spawning/spawning_controller.py
sed -i -e 1d $RPM_BUILD_ROOT/%{python_sitelib}/spawning/spawning_child.py

# Fix permissions on example init script to not pull in deps
# It's only an example file.
chmod 644 rc-scripts/init.d/spawn
 
%clean
rm -rf $RPM_BUILD_ROOT


%files
%defattr(-,root,root,-)
%doc AUTHORS.txt LICENSE.txt NEWS.txt README.rst rc-scripts
%{python_sitelib}/*
%{_bindir}/spawning

%changelog
* Thu Jun 03 2010 Kevin Fenzi <kevin@tummy.com> - 0.9.3-0.rc2.5
- Modify for EPEL5's python26

* Sat May 01 2010 Kevin Fenzi <kevin@tummy.com> - 0.9.3-0.rc2.4
- Fix permissions on doc files. 

* Fri Apr 30 2010 Kevin Fenzi <kevin@tummy.com> - 0.9.3-0.rc2.3
- Strip out env lines from some files. 
- Add rc-scripts as doc files. 

* Thu Apr 29 2010 Kevin Fenzi <kevin@tummy.com> - 0.9.3-0.rc2.2
- Add python-eventlet Requires

* Wed Apr 28 2010 Kevin Fenzi <kevin@tummy.com> - 0.9.3-0.rc2.1
- Initial version for review. 
